MBeanException (Java SE 26 & JDK 26)
Description: declaration: module: java.management, package: javax.management, class: MBeanException
Keywords: javax.management.MBeanException class

# Class MBeanException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.management.JMException
javax.management.MBeanException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `MBeanRegistrationException`

public class MBeanException extends JMException
Represents "user defined" exceptions thrown by MBean methods in the agent. It "wraps" the actual "user defined" exception thrown. This exception will be built by the MBeanServer when a call to an MBean method results in an unknown exception.

Since:
  1.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MBeanException(Exception e)`
  Creates an `MBeanException` that wraps the actual `java.lang.Exception`.
  `MBeanException(Exception e, String message)`
  Creates an `MBeanException` that wraps the actual `java.lang.Exception` with a detail message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Throwable`
  `getCause()`
  Return the actual `Exception` thrown.
  `Exception`
  `getTargetException()`
  Return the actual `Exception` thrown.

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`
  Modifier and Type
  Method
  Description
  `final void`
  `addSuppressed(Throwable exception)`
  Appends the specified exception to the exceptions that were suppressed in order to deliver this exception.
  `Throwable`
  `fillInStackTrace()`
  Fills in the execution stack trace.
  `String`
  `getLocalizedMessage()`
  Creates a localized description of this throwable.
  `String`
  `getMessage()`
  Returns the detail message string of this throwable.
  `StackTraceElement[]`
  `getStackTrace()`
  Provides programmatic access to the stack trace information printed by `Throwable.printStackTrace()`.
  `final Throwable[]`
  `getSuppressed()`
  Returns an array containing all of the exceptions that were suppressed, typically by the `try`-with-resources statement, in order to deliver this exception.
  `Throwable`
  `initCause(Throwable cause)`
  Initializes the cause of this throwable to the specified value.
  `void`
  `printStackTrace()`
  Prints this throwable and its backtrace to the standard error stream.
  `void`
  `printStackTrace(PrintStream s)`
  Prints this throwable and its backtrace to the specified print stream.
  `void`
  `printStackTrace(PrintWriter s)`
  Prints this throwable and its backtrace to the specified print writer.
  `void`
  `setStackTrace(StackTraceElement[] stackTrace)`
  Sets the stack trace elements that will be returned by `Throwable.getStackTrace()` and printed by `Throwable.printStackTrace()` and related methods.
  `String`
  `toString()`
  Returns a short description of this throwable.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### MBeanException

    public MBeanException(Exception e)
    Creates an `MBeanException` that wraps the actual `java.lang.Exception`.
    Parameters:
      `e` - the wrapped exception.

  - ### MBeanException

    public MBeanException(Exception e, String message)
    Creates an `MBeanException` that wraps the actual `java.lang.Exception` with a detail message.
    Parameters:
      `e` - the wrapped exception.
      `message` - the detail message.

- ## Method Details

  - ### getTargetException

    public Exception getTargetException()
    Return the actual `Exception` thrown.
    Returns:
      the wrapped exception.

  - ### getCause

    public Throwable getCause()
    Return the actual `Exception` thrown.
    Overrides:
      `getCause` in class `Throwable`
    Returns:
      the wrapped exception.